--CONFIG: shNameplates (REQUIRES RELOADING your UI for changes to take effect)

--**IMPORTANT** - BE very careful and ONLY change the values themselves, keep all commas/syntax entact or you will break the addon!

local _, shNameplates = ...

local cfg = CreateFrame("Frame")

--> To change fonts just copy/paste your favorite font(s) into the media folder of the addon and change the string values
--> after the mediapath syntax (just change the name in " "
local mediapath = [=[Interface\AddOns\shNameplates\media\]=]

--> TEXTURE options (add your own textures here)
	cfg.bartex = 	mediapath.."bartexture"
	cfg.icontex = 	mediapath.."icontexture"
		
--> BEHAVIOR options
	cfg.autohide		= false		--> automatically hide nameplates when OUT OF COMBAT only
	cfg.autoshow 		= true		--> automatically show nameplates when IN COMBAT only
	cfg.tankmode 		= true		--> true: will show custom color overlay/statusbar if you HAVE aggro and false: will show RED overlay if you HAVE aggro
	cfg.namecolor 		= false		--> true: will show unit names in color of their hostility/pvp or false: will show static color given below
	cfg.powerbar 		= true		--> true: will show power bar or false: will not show power bar (NOTE: only show power bar on enemy players or human players)
	cfg.showhpvalue 	= true		--> show hp value text in healthbar if not at 100% health (always shows hp value for bosses)
	cfg.hpallthetime 	= false		--> shows the hp value of the mob at all times
	
--> COLOR options (any RGB percent color of your choosing)
	cfg.colors = {
		hostile = 		{ 0.65, 0.34, 0.34 },	--> Default: red 
		friendlynpc =	{ 0.34, 0.80, 0.34 },	--> Default: green 
		friendly = 		{ 0.31, 0.45, 0.63 },	--> Default: blue 
		neutral = 		{ 0.65, 0.63, 0.35 }, 	--> Default: yellow 
		
	--> tankmode color options (ONLY APPLY if you have tankmode SET to TRUE)
		aggro =			{ 0.34, 0.60, 0.34 }, 	--> If you have aggro, the status bar color itself (ONLY WORKS if TANKMODE = true)
		highthreat =	{ 0.65, 0.65, 0.34 }, 	--> If you have HIGH threat, the status bar color itself (ONLY WORKS if TANKMODE = true)		
	}

--> POWERBAR colors (any RGB percent color of your choosing)
	cfg.powercolors = {
		mana = 			{ 0.31, 0.45, 0.63 },
		rage = 			{ 0.69, 0.31, 0.31 },
		focus =			{ 0.71, 0.43, 0.27 },
		energy =		{ 0.65, 0.63, 0.35 },
		runic =			{ 0.00, 0.82, 1.00 }, 
	}
	
--> BACKDROP table for the statusbars 
	cfg.backdrop = {
		bgFile   =  mediapath.."bg",
		edgeFile = 	mediapath.."glowtexture", 
		edgeSize = 	3,
		insets   = 	{ left = 1, right = 1, top = 1, bottom = 1 }, 
	}
	
--> RAIDICON
	cfg.raidicon = {
		textures = 	"Interface\\TargetingFrame\\UI-RaidTargetingIcons", 
		size = 22,					--> square dimension (in pixels)
		anchor = "BOTTOM",			--> anchor point of the raidicon to the health bar
		anchor2 = "TOP",			--> anchor point of the healthbar to the raid icons
		xoffset = 0,				--> x-offset of the anchor
		yoffset = 8,				--> y-offset of the anchor
	}
	
--> SPELLICON
	cfg.spellicon = {
		size = 		22,				--> square dimension (in pixels)
		anchor = 	"LEFT",			--> anchor point of the spell icon to cast bar
		anchor2 = 	"RIGHT",		--> anchor point of the cast bar to spell icon
		xoffset = 	2,				--> x-offset of the anchor
		yoffset = 	0,				--> y-offset of the anchor
	}

--> HEALTHBAR 	
	cfg.healthbar = {
		width = 	130, 			--> healthbar bar width
		height = 	10,				--> healthbar bar height
		yoffset = 	0, 				--> y-offset of the nameplate itself from the default blizzard nameplate
	}
	
--> CASTBAR
	cfg.castbar = {
		width =		130,			--> castbar bar width
		height = 	5,				--> castbar bar height
		anchor = 	"TOP", 			--> anchor point of the castbar to the health bar
		anchor2 =	"BOTTOM", 		--> anchor point of the healthbar to the cast bar
		xoffset =	0, 				--> x-offset of the anchor 
		yoffset =	-1.5, 			--> y-offset of the anchor
	}
		
--> CASTTIME
	cfg.casttime = {
		--> Cast time options
		font = 		mediapath.."samson.ttf", 		--> cast time font
		fontSize = 	6, 								--> cast time font size
		fontFlag =  "monochromeOUTLINE",			--> cast time font flag					
		anchor = 	"TOPLEFT", 						--> anchor point of cast time to the castbar
		anchor2 =	"BOTTOMLEFT", 					--> anchor point of castbar to the cast time
		xoffset =	0, 								--> x-offset of the anchor 
		yoffset =	-2, 							--> y-offset of the anchor
	}	
	
--> SPELL NAME text attributes
	cfg.spellname = {
		font =		mediapath.."samson.ttf",		--> spell name font
		fontSize =	6,								--> spell name font size
		fontFlag = 	"monochromeTHINOUTLINE",		--> spell name font flag
		color = 	{ 0.9, 0.8, 0.7 },				--> spell name color
		anchor = 	"TOPRIGHT", 					--> anchor point of the spell name text to the cast bar
		anchor2 =	"BOTTOMRIGHT",					--> anchor point of the cast bar to the spell name text
		xoffset =	0, 								--> x-offset of the anchor 
		yoffset =	-2, 							--> y-offset of the anchor
	}
	
--> NAME text attributes
	cfg.name = {
		font = 		mediapath.."samson.ttf", 
		fontSize = 	6,	
		fontFlag =  "monochromeTHINOUTLINE",
		color = 	{ 0.9, 0.8, 0.7 },	
		uppercase = true,							--> change to false to format in all lower cases
		anchor = 	"BOTTOM", 						--> anchor point of the name text to the health bar
		anchor2 =	"TOP",							--> anchor point of the healtbar to the name text
		xoffset =	0, 								--> x-offset of the anchor 
		yoffset =	1, 								--> y-offset of the anchor
	}
	
--> LEVEL text attributes
	cfg.level = {
		font = 		mediapath.."samson.ttf", 
		fontSize = 	6,
		fontFlag = 	"monochromeOUTLINE",
		anchor = 	"CENTER", 						--> anchor point of the level text to the healthbar
		anchor2 =	"TOPLEFT", 						--> anchor point of the healthbar to the level text
		xoffset =	0, 								--> x-offset of the anchor 
		yoffset =	0, 								--> y-offset of the anchor
	}
		
--> HEALTH text attributes
	cfg.health = {
		font = 		mediapath.."samson.ttf", 
		fontSize = 	5.5,
		fontFlag = 	"monochromeOUTLINE", 
		color = 	{ 1, 1, 1 }, 
		anchor = 	"CENTER", 						--> anchor point of the health text to the health bar 
		anchor2 = 	"CENTER", 						--> anchor point of the health bar to the health text
		xoffset =	0, 								--> x-offset of the anchor 
		yoffset =	0, 								--> y-offset of the anchor
	}
	
--HANDOVER for other lua files
shNameplates.cfg = cfg

